# GimpUi.ScaleEntry

    from gi.repository import GimpUi

    scale_entry = GimpUi.ScaleEntry()

This widget is a Gtk.Grid showing a Gtk.SpinButton and a Gtk.Scale bound together. It also displays a Gtk.Label which is used as mnemonic on the Gtk.SpinButton.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Grid
          - GimpUi.Labeled
            - GimpUi.LabelSpin
              - GimpUi.ScaleEntry

## Methods

- GimpUi.ScaleEntry.get_logarithmic
- GimpUi.ScaleEntry.get_range
- GimpUi.ScaleEntry.set_bounds
- GimpUi.ScaleEntry.set_logarithmic

## Fields

- GimpUi.ScaleEntry->parent_instance